﻿.fast-social {
    width: 4em;
    height: 4em;
    z-index: 10000;
    right: 2em;
    bottom: 2em;
    position: fixed;
    font-family: iranyekanxnoen-black;
}

.fast-social__show .fast-social__popup {
    transform: scale(1);
}

.fast-social__show .fast-social__button .pulsation {
    -webkit-animation: none;
    animation: none;
    opacity: 0;
    display: none;
}

.fast-social * {
    box-sizing: border-box;
}

.fast-social__popup {
    background: center no-repeat #FFF;
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.2);
    width: 16em;
    position: absolute;
    bottom: 5em;
    right: 0;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 1em 0;
    box-sizing: border-box;
    border-radius: 20px;
    transform-origin: 80% 105%;
    transform: scale(0);
    transition: ease-out 0.12s all;
    z-index: 10000;
}

    .fast-social__popup::before {
        content: "";
        position: absolute;
        bottom: -0.5em;
        right: 1.5em;
        left: auto;
        display: inline-block;
        border-right: 0.5em solid transparent;
        border-top: 0.5em solid #FFF;
        border-left: 0.5em solid transparent;
    }

    .fast-social__popup a {
        display: flex;
        width: 100%;
        align-items: center;
        padding: 0.5em 1em;
        text-decoration: none;
        direction: rtl;
    }

        .fast-social__popup a .icon {
            display: inline-flex;
            align-items: center;
            justify-content: center;
            border-radius: 50%;
            width: 2.75em;
            height: 2.75em;
            color: #ffffff;
        }

            .fast-social__popup a .icon .ico {
                width: 1.5rem;
            }

.ico {
    width: 2rem;
}

.ico-close {
    width: 1rem;
}

.fast-social__popup a .text {
    padding-right: 1em;
    color: rgba(82, 82, 82, 0.87);
}

.fast-social__popup a:hover {
    background-color: #EEEEEE;
}

.fast-social__popup a.face1 .icon {
    background-color: #547af5;
}

.fast-social__popup a.face2 .icon {
    background-color: #45668e;
}

.fast-social__button {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    background-color: #00A694;
    color: #ffffff;
}

    .fast-social__button .hide {
        transform: scale(0);
        opacity: 0;
    }

.fast-social__button--inner {
    font-size: 1.5em;
}

    .fast-social__button--inner > * {
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: all 200ms;
    }

    .fast-social__button--inner .icons {
        width: 1.75em;
        height: 1.75em;
        left: 0;
        right: 0;
        bottom: 0;
        top: 0;
        margin: auto;
        overflow: hidden;
        justify-content: flex-start;
        border-radius: 50%;
    }

    .fast-social__button--inner .icons__line {
        position: absolute;
        display: flex;
        transform: translateX(0.25em);
        transition: transform 200ms linear;
    }

        .fast-social__button--inner .icons__line span {
            display: inline-flex;
            align-items: center;
            justify-content: center;
            width: 1.25em;
            height: 1.25em;
        }

            .fast-social__button--inner .icons__line span:not(:last-child) {
                margin-right: 3em;
            }

.fast-social__button .pulsation {
    width: 5em;
    height: 5em;
    background-image: radial-gradient(circle,#3d528b 50%,white);
    z-index: -1;
    -webkit-animation: fast-social-pulse 2s infinite;
    animation: fast-social-pulse 2s infinite;
    border-radius: 50%;
    position: absolute;
    margin: auto;
    left: -0.5em;
    top: -0.5em;
    opacity: 0;
}

    .fast-social__button .pulsation:nth-of-type(2n) {
        -webkit-animation-delay: 500ms;
        animation-delay: 500ms;
    }

@-webkit-keyframes fast-social-pulse {
    0% {
        transform: scale(0);
        opacity: 1;
    }

    50% {
        opacity: 0.5;
    }

    100% {
        transform: scale(1.1);
        opacity: 0;
    }
}

@keyframes fast-social-pulse {
    0% {
        transform: scale(0);
        opacity: 1;
    }

    50% {
        opacity: 0.5;
    }

    100% {
        transform: scale(1.1);
        opacity: 0;
    }
}
